Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 696
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 09.04.2019, 12:42  postituse pealkiri:  (teema puudub)  

mait kirjutas:
OpenSUSE 42.3. Tõmbasin git-st ja kompileerisin opensc ja libdigidoc, libdigidocpp ja digidoc4. Vanu ID-kaarte saab kasutada probleemideta, aga äsja saadud uue kaardi kohta ütleb, et:
Kood:
opensc-tool -n
Using reader with a card: Broadcom Corp 5880 [Contacted SmartCard] (0123456789ABCD) 01 00
Unsupported card

Millest alustada?

Veebilehel 'ID-tarkvara komponentide kõige uuemad versioonid' vaatab linuxite rubriigis vastu awp (idemia) 5.3.0.18.04.75,
aga kust saada muud kui .deb, pole aimugi.


tonks
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 01.12.2016
Postitused: 91
Asukoht: Harjumaa
Distributsioon: Zorin OS
estonia.gif
postituspostitatud: 09.04.2019, 12:43  postituse pealkiri:  (teema puudub)  

Kas awp pakk on paigaldatud, see peaks otseselt olema seotud uute kaartidega, vanadel pole seda vaja.


Gomi
Pingviini aktivist
Pingviini aktivist



Liitunud: 24.12.2017
Postitused: 149

Distributsioon: Gentoo, Debian
estonia.gif
postituspostitatud: 09.04.2019, 12:56  postituse pealkiri:  (teema puudub)  

Alien pakiga saab ehk AWP .deb paki muuta .rpm'iks. Kui absoluutselt mingit muud võimalust ei ole, siis on võimalik ka vajalikud failid lihtsalt .deb'ist ekstraktida.


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 86
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 10.04.2019, 16:22  postituse pealkiri:  (teema puudub)  

Uurin seda AWP pakki.

Aga kas opensc-tools ja pkcs11-tool ja pkcs15-tool uusi ID-kaarte enam ei tunnegi ära? Nende vahendite abil oli lihtne testida, kas kaart on üldse kasutatav enne kui näiteks veebis allkirjastamise probleemide juurde asuda.

... hiljem ...

Raske on uue ID-kaardiga. Miks ei võiks see awp olla githubis saadaval? Või siis vähemalt mõned selged vihjed, et kuidas saaks. Praegu tundub dokumentatsioon täiesti unustatud olevat
Kood:

https://github.com/OpenSC/OpenSC/wiki/Estonian-eID-%28EstEID%29
Estonian eID (EstEID)
Viktor Tarasov edited this page on 11 Dec 2012 · 3 revisions


mckevin
Pingviini aktivist
Pingviini aktivist


Vanus: 29
Liitunud: 02.05.2007
Postitused: 107
Asukoht: tallinn
Distributsioon: Arch Linux x86_64
estonia.gif
postituspostitatud: 11.04.2019, 09:27  postituse pealkiri:  (teema puudub)  

kui tahad et midagi muutuks pead nii palju kära sellest tegema et delfi esilehele pääsed. Ilma selleta ei liigu midagi.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 33
Liitunud: 08.08.2005
Postitused: 4357
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 11.04.2019, 15:30  postituse pealkiri:  (teema puudub)  

mait kirjutas:
Uurin seda AWP pakki.

Aga kas opensc-tools ja pkcs11-tool ja pkcs15-tool uusi ID-kaarte enam ei tunnegi ära? Nende vahendite abil oli lihtne testida, kas kaart on üldse kasutatav enne kui näiteks veebis allkirjastamise probleemide juurde asuda.


See arendus on töös ja peaks lähikuudel ehk ka kasutajateni jõudma.

_________________
Image Image Image

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group